Bug 510960 - top displaying 9999% CPU usage
top displaying 9999% CPU usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 17:17 EDT by Kayvan Amirahmadi
Modified: 2009-07-14 11:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kayvan Amirahmadi 2009-07-12 17:17:13 EDT
I saw top occasionally displaying 9999% CPU usage for a process


[root@server:~] # uname -a
Linux server.mydomain 2.6.27.25-78.2.56.fc9.i686 #1 SMP Thu Jun 18 12:47:50 EDT 2009 i686 i686 i386 GNU/Linux

[root@server:~] # top -n1 -bc
top - 00:30:01 up 11:42,  0 users,  load average: 0.20, 0.47, 0.52
Tasks: 809 total,   1 running, 808 sleeping,   0 stopped,   0 zombie
Cpu0  :  4.1%us,  3.2%sy,  0.0%ni, 92.2%id,  0.1%wa,  0.0%hi,  0.3%si,  0.0%st
Cpu1  :  3.8%us,  2.8%sy,  0.0%ni, 93.0%id,  0.1%wa,  0.0%hi,  0.3%si,  0.0%st
Cpu2  :  3.9%us,  3.3%sy,  0.0%ni, 92.4%id,  0.1%wa,  0.0%hi,  0.4%si,  0.0%st
Cpu3  :  5.4%us,  3.2%sy,  0.0%ni, 90.7%id,  0.1%wa,  0.1%hi,  0.6%si,  0.0%st
Mem:   2073032k total,   967064k used,  1105968k free,   125356k buffers
Swap:  2031608k total,        0k used,  2031608k free,   216100k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
32028 root      10 -10  1604 1308  184 S 9999.0  0.1   0:00.00 /usr/bin/perl /va
32030 root      10 -10  1604 1308  184 S 9999.0  0.1   0:00.00 /usr/bin/perl /va
31980 root      10 -10  7880 5400 2240 S 18.4  0.3   0:00.12 /usr/bin/perl /var/
31975 root      20   0  2892 1400  716 R  7.3  0.1   0:00.06 top -n1 -bc        
 3575 root      10 -10 10408 1972 1008 S  3.7  0.1  21:37.75 /usr/bin/perl /var/b
23085 root       0 -20 11432 1892 1008 S  3.7  0.1  11:55.76 /usr/bin/perl /var/b
Comment 1 Matthias Saou 2009-07-13 06:03:14 EDT
Re-assigning to the correct component and owner.
Comment 2 Bug Zapper 2009-07-14 11:17:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.